#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    string s;
    cin >> s;
    int a, b;
    cin >> a >> b;
    if(abs(a - b) > 1) cout << "nemoguce" << endl;
    else
    {
        if(b > a) {swap(s[0], s[1]); swap(a, b);}
        for(int i = 0; i < b; i++)
        {
            cout << s;
        }
        if(a > b) cout << s[0];
        cout << endl;
    }

    return 0;
}